Bug 130710 - SDL_WM_ToggleFullScreen makes the image shake (ATI8500)
SDL_WM_ToggleFullScreen makes the image shake (ATI8500)
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2004-08-23 16:49 EDT by Pawel Salek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-15 06:58:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fullscreen.c (471 bytes, text/plain)
2004-08-23 16:50 EDT, Pawel Salek
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 2657 None None None Never

  None (edit)
Description Pawel Salek 2004-08-23 16:49:21 EDT
Description of problem:
SDL_WM_ToggleFullScreen does something wrong to the image: the screen
splits in two parts and the lower part shakes, also on a LCD screen.
This breaks all SDL-based games, too. full screen xscreensave hacks
are ok (tested with /usr/X11R6/lib/xscreensaver/antspotlight  -fps
-delay 0 -root). I saw this problem first on fc2 but could reproduce
with rawhide version as well.

Version-Release number of selected component (if applicable):
SDL-1.2.7-3 and SDL-1.2.7-7

How reproducible:

Steps to Reproduce:
1. Compile attached test program with 
cc fullscreen.c `sdl-config --libs --cflags`
3. run it and move the move the mouse pointer up and down - you will
see the pointer screen wide when crossing the middle of the screen,

Actual Results:  You will see the pointer screen wide when crossing
the middle of the screen.

Expected Results:  Smooth black image.

Additional info:

LIBGL_ALWAYS_INDIRECT=y does not remove the problem.
Comment 1 Pawel Salek 2004-08-23 16:50:40 EDT
Created attachment 103001 [details]

The test program - but running any full screen SDL-based program will most
likely do.
Comment 2 Thomas Woerner 2004-08-24 12:03:00 EDT
This is a driver problem, not a SDL problem.
Assigning to X.
Comment 3 Mike A. Harris 2005-03-06 18:23:04 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".
Comment 4 Pawel Salek 2005-03-07 03:59:25 EST
I should have mentioned that the problem is still present on
xorg-x11-6.8.1-.902 and the rumour is that it is related to DVI

I filed the report at
Comment 5 Mike A. Harris 2005-04-15 06:58:49 EDT
Ok thanks, tracking in upstream bugzilla now.  Setting status to "UPSTREAM"

Note You need to log in before you can comment on or make changes to this bug.